MediaWiki:Vector.css: Difference between revisions

From Forklift Certified Video Games
Jump to navigation Jump to search
Line 69: Line 69:
#p-navigation { background-color: #ffcf4e; }
#p-navigation { background-color: #ffcf4e; }


#mw-head { width: 100%; background-color: #ffcf4e; margin-right: 5px; }
#mw-head { width: 100%; background-color: #ffcf4e; }
#mw-head-base { width: 100%; border-top: 1px solid #000000; }
#mw-head-base { width: 100%; }
#mw-page-base { background-image: none; background-color: #ffcf4e; }
#mw-page-base { background-image: none; background-color: #ffcf4e; }



Revision as of 20:13, 7 June 2025

/* All CSS here will be loaded for users of the Vector skin */

/* Make clickable text on links invisible. */
li#n-discord {
visibility: visible;
font-size:0em;
position: relative;
margin-right: 5px;
}

#n-discord:hover ::after, #n-discord {
content: '';
display: inline-block;
width: 35px;
height: 35px;
float: left;
background: url('https://certified.wiki/images/icons/discord_logo_icon.png');
background-repeat: no-repeat;
background-size: contain;
position: absolute;
}


#mw-panel .portal .body li#n-discord {
font-size:0em;
padding:5px;
}






/* Make clickable text on links invisible. */
li#n-facebook {
visibility: visible;
font-size:0em;
position: relative;
margin-right: 5px;
}

#n-facebook:hover ::after, #n-facebook {
content: '';
display: inline-block;
width: 35px;
height: 35px;
float: left;
background: url('https://certified.wiki/images/icons/facebook_logo_icon.png');
background-repeat: no-repeat;
background-size: contain;
position: absolute;
}



#mw-panel .portal .body li#n-facebook {
font-size:0em;
padding:5px;
}








body { background-color: #ffcf4e; }
#p-navigation { background-color: #ffcf4e; }

#mw-head { width: 100%; background-color: #ffcf4e; }
#mw-head-base { width: 100%; }
#mw-page-base { background-image: none; background-color: #ffcf4e; }

#p-logo { background-color: #ffcf4e; }

#p-tb { background-color: #ffcf4e; }
#p-tb-label { background-color: #ffcf4e; }

.mw-body { background-color: rgba(230, 160, 105, 0.69); margin-right: 15px; border: 1px solid #000000; }

/* #content { background-color: #ded5ba; } */
#bodyContent { background-color: rgba(255, 132, 32, 0); }
#firstHeading { background-color: rgba(255, 132, 32, 0); }

#catlinks { background-color: #e8e1d5; }
#p-tb .body { background-color: #e8e1d5; }

/* Footer */

#footer { background: rgb(85 85 85 / 69%) none repeat scroll 0% 0%; }

#footer-icons a { background: none; }

.mw-footer { min-height: 100px; margin-top: 20px; margin-right: auto; margin-left: auto; width: 100% }

/* Top menu tabs */

.vector-legacy-sidebar .vector-menu-portal .vector-menu-heading { background-image: none; }

.vector-search-box-input { margin-right: 15px; }

.vector-menu-tabs, .vector-menu-tabs a, #mw-head .vector-menu-dropdown h3 {
    background-image: linear-gradient(to bottom,#ded5ba 0,#ded5ba 100%); }

.vector-menu-tabs li {
    background-image: linear-gradient(to top,#ded5ba 0,#ded5ba 1px,#ded5ba 100%); }

.vector-menu-tabs .selected {
    background: #ded5ba; }

.vector-menu-tabs .selected a, .vector-menu-tabs .selected a:visited {
    color: #331c8c; }

/* .vector-menu-tabs { border-top: 1px solid #000000; border-left: 1px solid #000000; border-right: 1px solid #000000;} */



/* Dropdown menu */

.vector-menu-dropdown .vector-menu-content {
    background-color: #e8e1d5;
    border: 1px solid #000000; }